%global gem_name simplecov
%global rubyabi 1.9.1
Summary:             Code coverage analysis tool for Ruby 1.9
Name:                rubygem-%{gem_name}
Version:             0.13.0
Release:             1
License:             MIT
URL:                 http://github.com/colszowka/simplecov
Source0:             http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires:            ruby(release) ruby rubygems rubygem(docile) => 1.1.0 rubygem(multi_json) => 1.0
Requires:            rubygem(simplecov-html) => 0.8.0
BuildRequires:       ruby rubygems-devel rubygem(aruba) rubygem(bundler) rubygem(capybara)
BuildRequires:       rubygem(cucumber) rubygem(docile) rubygem(rake) rubygem(rspec)
BuildRequires:       rubygem(simplecov-html) rubygem(test-unit)
BuildArch:           noarch
Provides:            rubygem(%{gem_name}) = %{version}
%description
Code coverage for Ruby 1.9 with a powerful configuration library and automatic
merging of coverage across test suites

%package doc
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
gem build %{gem_name}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/
rm -f %{buildroot}%{gem_instdir}/.gitignore
rm -f %{buildroot}%{gem_instdir}/.rspec
rm -f %{buildroot}%{gem_instdir}/.rubocop.yml
rm -f %{buildroot}%{gem_instdir}/.travis.yml
rm -rf %{buildroot}%{gem_instdir}/.yardopts
rm -rf %{buildroot}%{gem_instdir}/.yardoc
rm -f %{buildroot}%{gem_instdir}/Gemfile
rm -f %{buildroot}%{gem_instdir}/simplecov.gemspec
chmod 0755 %{buildroot}%{gem_instdir}/Rakefile
mv %{buildroot}%{gem_instdir}/doc %{buildroot}/%{gem_docdir}/

%check
pushd %{buildroot}%{gem_instdir}
rm -rf spec/faked_project/
rspec -Ilib spec
rm -rf %{buildroot}%{gem_instdir}/tmp
popd

%files
%dir %{gem_instdir}
%doc %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/cucumber.yml
%{gem_instdir}/features
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/spec
%{gem_instdir}/Rakefile
%{gem_instdir}/CHANGELOG.md
%{gem_instdir}/README.md
%{gem_instdir}/CONTRIBUTING.md

%changelog
* Wed Aug 19 2020 maminjie <maminjie1@huawei.com> - 0.13.0-1
- package init
